/* Generated by Xgen from: X170.01.00 SIR 364452 on: 2017-05-09 15:56 */
/************************************************************************
 *                                                                      *
 *                Copyright (c) 2017 by                                 *
 *          Deutsche Boerse AG, Frankfurt, Germany                      *
 *                          All rights reserved.                        *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person.  No title to and     *
 *   ownership of the software is hereby transferred.                   *
 *                                                                      *
 *   The information in this software is subject to change  without     *
 *   notice  and should not be construed as a commitment by Deutsche    *
 *   Boerse AG.                                                         *
 *                                                                      *
 *   Deutsche Boerse AG assumes no responsibility for the use  or       *
 *   reliability of its software on equipment which is not certified by *
 *   Deutsche Boerse AG.                                                *
 *                                                                      *
 ************************************************************************/
/*----------------------------------------------------------------------------*/
/*
 * FILE NAME:   EntMasQuoReq.hxx
 *
 * DESCRIPTION: Layouts used in the requests
 *              Xetra Enter Mass Quote
 */
/*----------------------------------------------------------------------------*/


#ifndef _ENTMASQUOREQ_HXX_
#define _ENTMASQUOREQ_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


/*----------------------------------------------------------------------------*/
/* Length definitions */

#define EXECUTING_TRADER_ID_LEN                  20
#define INV_DECISION_MKR_ID_LEN                  19
#define ISIN_COD_LEN                             12
#define MATCH_INST_CROSS_ID_LEN                  10
#define MLI_REC_CTR_LEN                          3
#define QUO_EXE_PRC_BUY_LEN                      13
#define QUO_EXE_PRC_SEL_LEN                      13
#define QUO_QTY_BUY_LEN                          12
#define QUO_QTY_SEL_LEN                          12

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define ENT_MAS_QUO_GRP_MAX                      70

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define entMasQuoReq_acctTypCod                  acctTypCodGrp.acctTypCod
#define entMasQuoReq_acctTypNo                   acctTypCodGrp.acctTypNo
#define entMasQuoReq_executingTrader             executingTrader
#define entMasQuoReq_executingTraderInd          executingTraderInd
#define entMasQuoReq_invDecisionMaker            invDecisionMaker
#define entMasQuoReq_investmentInd               investmentInd
#define entMasQuoReq_isinCod(Xarg1)              entMasQuoGrp[(Xarg1)].instGrpIdCod.isinCod
#define entMasQuoReq_liqProvFlg                  liqProvFlg
#define entMasQuoReq_matchInstCrossId            matchInstCrossId
#define entMasQuoReq_mliRecCtr                   mliRecCtr
#define entMasQuoReq_prcRsblChkFlg               prcRsblChkFlg
#define entMasQuoReq_quoExePrcBuy(Xarg1)         entMasQuoGrp[(Xarg1)].quoExePrcBuy
#define entMasQuoReq_quoExePrcSel(Xarg1)         entMasQuoGrp[(Xarg1)].quoExePrcSel
#define entMasQuoReq_quoQtyBuy(Xarg1)            entMasQuoGrp[(Xarg1)].quoQtyBuy
#define entMasQuoReq_quoQtySel(Xarg1)            entMasQuoGrp[(Xarg1)].quoQtySel
#define entMasQuoReq_quotTypInd(Xarg1)           entMasQuoGrp[(Xarg1)].quotTypInd

/*----------------------------------------------------------------------------*/
/* Type definitions */

/*----------------------------------------------------------------------------*/

#ifndef _INST_GRP_ID_COD_T_
#define _INST_GRP_ID_COD_T_

typedef struct instGrpIdCodTag
{
    char             isinCod         [ISIN_COD_LEN];
} instGrpIdCodT, *pInstGrpIdCodT;


#endif  /* _INST_GRP_ID_COD_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _ENT_MAS_QUO_GRP_T_
#define _ENT_MAS_QUO_GRP_T_

typedef struct entMasQuoGrpTag
{
    char             quotTypInd;
    instGrpIdCodT    instGrpIdCod;
    char             quoExePrcSel    [QUO_EXE_PRC_SEL_LEN+1];
    char             quoQtySel       [QUO_QTY_SEL_LEN+1];
    char             quoExePrcBuy    [QUO_EXE_PRC_BUY_LEN+1];
    char             quoQtyBuy       [QUO_QTY_BUY_LEN+1];
} entMasQuoGrpT, *pEntMasQuoGrpT;


#endif  /* _ENT_MAS_QUO_GRP_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _ACCT_TYP_COD_GRP_T_
#define _ACCT_TYP_COD_GRP_T_

typedef struct acctTypCodGrpTag
{
    char             acctTypCod;
    char             acctTypNo;
} acctTypCodGrpT, *pAcctTypCodGrpT;


#endif  /* _ACCT_TYP_COD_GRP_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _ENT_MAS_QUO_REQ_T_
#define _ENT_MAS_QUO_REQ_T_

typedef struct entMasQuoReqTag
{
    acctTypCodGrpT   acctTypCodGrp;
    char             prcRsblChkFlg;
    char             executingTrader [EXECUTING_TRADER_ID_LEN];
    char             executingTraderInd;
    char             matchInstCrossId[MATCH_INST_CROSS_ID_LEN];
    char             invDecisionMaker[INV_DECISION_MKR_ID_LEN];
    char             investmentInd;
    char             liqProvFlg;
    char             mliRecCtr       [MLI_REC_CTR_LEN];
    entMasQuoGrpT    entMasQuoGrp    [ENT_MAS_QUO_GRP_MAX];
} entMasQuoReqT, *pEntMasQuoReqT;


#endif  /* _ENT_MAS_QUO_REQ_T_ */


#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _ENTMASQUOREQ_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file EntMasQuoReq.hxx */
/*----------------------------------------------------------------------------*/
