/* Generated by Xgen from: X170.05.00 SIR XTR-217 on: 2017-09-20 11:48 */
/************************************************************************
 *                                                                      *
 *                Copyright (c) 2017 by                                 *
 *          Deutsche Boerse AG, Frankfurt, Germany                      *
 *                          All rights reserved.                        *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person.  No title to and     *
 *   ownership of the software is hereby transferred.                   *
 *                                                                      *
 *   The information in this software is subject to change  without     *
 *   notice  and should not be construed as a commitment by Deutsche    *
 *   Boerse AG.                                                         *
 *                                                                      *
 *   Deutsche Boerse AG assumes no responsibility for the use  or       *
 *   reliability of its software on equipment which is not certified by *
 *   Deutsche Boerse AG.                                                *
 *                                                                      *
 ************************************************************************/
/*----------------------------------------------------------------------------*/
/*
 * FILE NAME:   InqAllTrdResp.hxx
 *
 * DESCRIPTION: Layouts used in the requests
 *              Xetra Inquire All Trades
 */
/*----------------------------------------------------------------------------*/


#ifndef _INQALLTRDRESP_HXX_
#define _INQALLTRDRESP_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


/*----------------------------------------------------------------------------*/
/* Length definitions */

#define ISIN_COD_LEN                             12
#define KEY_DAT_CTRL_BLC_LEN                     80
#define MLI_REC_CTR_LEN                          3
#define PRC_CURR_COD_LEN                         3
#define TRAD_MTCH_PRC_LEN                        13
#define TRAN_DAT_LEN                             8
#define TRAN_TIM_LEN                             8
#define TRD_QTY_LEN                              15
#define UTC_TRAN_TIMESTAMP_LEN                   9

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define INQ_ALL_TRD_REC_MAX                      53

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define inqAllTrdResp_algoTrdInd(Xarg1)          inqAllTrdRec[(Xarg1)].algoTrdInd
#define inqAllTrdResp_isinCod(Xarg1)             inqAllTrdRec[(Xarg1)].isinCod
#define inqAllTrdResp_keyDatCtrlBlc              keyDatCtrlBlc
#define inqAllTrdResp_mliRecCtr                  mliRecCtr
#define inqAllTrdResp_prcCurrCod(Xarg1)          inqAllTrdRec[(Xarg1)].prcCurrCod
#define inqAllTrdResp_prcTyp(Xarg1)              inqAllTrdRec[(Xarg1)].prcTyp
#define inqAllTrdResp_tradMtchPrc(Xarg1)         inqAllTrdRec[(Xarg1)].tradMtchPrc
#define inqAllTrdResp_tranDat(Xarg1)             inqAllTrdRec[(Xarg1)].tranDat
#define inqAllTrdResp_tranTim(Xarg1)             inqAllTrdRec[(Xarg1)].tranTim
#define inqAllTrdResp_trdQty(Xarg1)              inqAllTrdRec[(Xarg1)].trdQty
#define inqAllTrdResp_trdTyp(Xarg1)              inqAllTrdRec[(Xarg1)].trdTyp
#define inqAllTrdResp_utcTranTimestamp(Xarg1)    inqAllTrdRec[(Xarg1)].utcTranTimestamp

/*----------------------------------------------------------------------------*/
/* Type definitions */

/*----------------------------------------------------------------------------*/

#ifndef _INQ_ALL_TRD_REC_T_
#define _INQ_ALL_TRD_REC_T_

typedef struct inqAllTrdRecTag
{
    char             tranDat         [TRAN_DAT_LEN];
    char             tranTim         [TRAN_TIM_LEN];
    char             isinCod         [ISIN_COD_LEN];
    char             tradMtchPrc     [TRAD_MTCH_PRC_LEN+1];
    char             trdQty          [TRD_QTY_LEN+1];
    char             prcCurrCod      [PRC_CURR_COD_LEN];
    char             trdTyp;
    char             prcTyp;
    char             algoTrdInd;
    char             utcTranTimestamp[UTC_TRAN_TIMESTAMP_LEN];
} inqAllTrdRecT, *pInqAllTrdRecT;


#endif  /* _INQ_ALL_TRD_REC_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _INQ_ALL_TRD_RESP_T_
#define _INQ_ALL_TRD_RESP_T_

typedef struct inqAllTrdRespTag
{
    char             keyDatCtrlBlc   [KEY_DAT_CTRL_BLC_LEN];
    char             mliRecCtr       [MLI_REC_CTR_LEN];
    inqAllTrdRecT    inqAllTrdRec    [INQ_ALL_TRD_REC_MAX];
} inqAllTrdRespT, *pInqAllTrdRespT;


#endif  /* _INQ_ALL_TRD_RESP_T_ */


#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _INQALLTRDRESP_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file InqAllTrdResp.hxx */
/*----------------------------------------------------------------------------*/
