/* Generated by Xgen from: X130.03.01 SIR 216243 on: 2012-09-27 12:39 */
/************************************************************************
 *                                                                      *
 *                Copyright (c) 2012 by                                 *
 *          Deutsche Boerse AG, Frankfurt, Germany                      *
 *                          All rights reserved.                        *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person.  No title to and     *
 *   ownership of the software is hereby transferred.                   *
 *                                                                      *
 *   The information in this software is subject to change  without     *
 *   notice  and should not be construed as a commitment by Deutsche    *
 *   Boerse AG.                                                         *
 *                                                                      *
 *   Deutsche Boerse AG assumes no responsibility for the use  or       *
 *   reliability of its software on equipment which is not certified by *
 *   Deutsche Boerse AG.                                                *
 *                                                                      *
 ************************************************************************/
/*----------------------------------------------------------------------------*/
/*
 * FILE NAME:   InqInstSetResp.hxx
 *
 * DESCRIPTION: Layouts used in the requests
 *              Xetra Inquire Instrument Set
 */
/*----------------------------------------------------------------------------*/


#ifndef _INQINSTSETRESP_HXX_
#define _INQINSTSETRESP_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


/*----------------------------------------------------------------------------*/
/* Length definitions */

#define EXCH_MIC_ID_LEN                          3
#define INSTR_SET_ID_LEN                         4
#define ISIN_COD_LEN                             12
#define ISSR_MEMB_ID_LEN                         5
#define KEY_DAT_CTRL_BLC_LEN                     80
#define MLI_REC_CTR_LEN                          3

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define INQ_INST_SET_REC_MAX                     300

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define inqInstSetResp_exchMicId(Xarg1)          inqInstSetRec[(Xarg1)].exchXMicId.exchMicId
#define inqInstSetResp_exchXId(Xarg1)            inqInstSetRec[(Xarg1)].exchXMicId.exchXId
#define inqInstSetResp_instrSetId(Xarg1)         inqInstSetRec[(Xarg1)].instrSetId
#define inqInstSetResp_isinCod(Xarg1)            inqInstSetRec[(Xarg1)].instGrpIdCod.isinCod
#define inqInstSetResp_issrMembId(Xarg1)         inqInstSetRec[(Xarg1)].issrMembId
#define inqInstSetResp_keyDatCtrlBlc             keyDatCtrlBlc
#define inqInstSetResp_mliRecCtr                 mliRecCtr

/*----------------------------------------------------------------------------*/
/* Type definitions */

/*----------------------------------------------------------------------------*/

#ifndef _EXCH_X_MIC_ID_T_
#define _EXCH_X_MIC_ID_T_

typedef struct exchXMicIdTag
{
    char             exchXId;
    char             exchMicId       [EXCH_MIC_ID_LEN];
} exchXMicIdT, *pExchXMicIdT;


#endif  /* _EXCH_X_MIC_ID_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _INST_GRP_ID_COD_T_
#define _INST_GRP_ID_COD_T_

typedef struct instGrpIdCodTag
{
    char             isinCod         [ISIN_COD_LEN];
} instGrpIdCodT, *pInstGrpIdCodT;


#endif  /* _INST_GRP_ID_COD_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _INQ_INST_SET_REC_T_
#define _INQ_INST_SET_REC_T_

typedef struct inqInstSetRecTag
{
    instGrpIdCodT    instGrpIdCod;
    exchXMicIdT      exchXMicId;
    char             issrMembId      [ISSR_MEMB_ID_LEN];
    char             instrSetId      [INSTR_SET_ID_LEN];
} inqInstSetRecT, *pInqInstSetRecT;


#endif  /* _INQ_INST_SET_REC_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _INQ_INST_SET_RESP_T_
#define _INQ_INST_SET_RESP_T_

typedef struct inqInstSetRespTag
{
    char             keyDatCtrlBlc   [KEY_DAT_CTRL_BLC_LEN];
    char             mliRecCtr       [MLI_REC_CTR_LEN];
    inqInstSetRecT   inqInstSetRec   [INQ_INST_SET_REC_MAX];
} inqInstSetRespT, *pInqInstSetRespT;


#endif  /* _INQ_INST_SET_RESP_T_ */


#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _INQINSTSETRESP_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file InqInstSetResp.hxx */
/*----------------------------------------------------------------------------*/
