/* Generated by Xgen from: X150.01.03 SIR 273983 on: 2014-07-17 11:50 */
/************************************************************************
 *                                                                      *
 *                Copyright (c) 2014 by                                 *
 *          Deutsche Boerse AG, Frankfurt, Germany                      *
 *                          All rights reserved.                        *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person.  No title to and     *
 *   ownership of the software is hereby transferred.                   *
 *                                                                      *
 *   The information in this software is subject to change  without     *
 *   notice  and should not be construed as a commitment by Deutsche    *
 *   Boerse AG.                                                         *
 *                                                                      *
 *   Deutsche Boerse AG assumes no responsibility for the use  or       *
 *   reliability of its software on equipment which is not certified by *
 *   Deutsche Boerse AG.                                                *
 *                                                                      *
 ************************************************************************/
/*----------------------------------------------------------------------------*/
/*
 * FILE NAME:   InqTRLimResp.hxx
 *
 * DESCRIPTION: Layouts used in the requests
 *              Xetra Inquire Trading Risk Limits
 */
/*----------------------------------------------------------------------------*/


#ifndef _INQTRLIMRESP_HXX_
#define _INQTRLIMRESP_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


/*----------------------------------------------------------------------------*/
/* Length definitions */

#define EXCH_MIC_ID_LEN                          3
#define KEY_DAT_CTRL_BLC_LEN                     80
#define MLI_REC_CTR_LEN                          3
#define PART_SUB_GRP_COD_LEN                     3
#define VOL_LIM_LEN                              15

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define TRL_REC_MAX                              50

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define inqTRLimResp_calcMethod(Xarg1)           trlRec[(Xarg1)].calcMethod
#define inqTRLimResp_currVol(Xarg1)              trlRec[(Xarg1)].currVol
#define inqTRLimResp_exchMicId(Xarg1)            trlRec[(Xarg1)].exchXMicId.exchMicId
#define inqTRLimResp_exchXId(Xarg1)              trlRec[(Xarg1)].exchXMicId.exchXId
#define inqTRLimResp_haltLim(Xarg1)              trlRec[(Xarg1)].haltLim
#define inqTRLimResp_keyDatCtrlBlc               keyDatCtrlBlc
#define inqTRLimResp_mliRecCtr                   mliRecCtr
#define inqTRLimResp_partSubGrpCod(Xarg1)        trlRec[(Xarg1)].partSubGrpCod
#define inqTRLimResp_trdRskLimActFlg(Xarg1)      trlRec[(Xarg1)].trdRskLimActFlg
#define inqTRLimResp_warnLim(Xarg1)              trlRec[(Xarg1)].warnLim

/*----------------------------------------------------------------------------*/
/* Type definitions */

/*----------------------------------------------------------------------------*/

#ifndef _EXCH_X_MIC_ID_T_
#define _EXCH_X_MIC_ID_T_

typedef struct exchXMicIdTag
{
    char             exchXId;
    char             exchMicId       [EXCH_MIC_ID_LEN];
} exchXMicIdT, *pExchXMicIdT;


#endif  /* _EXCH_X_MIC_ID_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _TRL_REC_T_
#define _TRL_REC_T_

typedef struct trlRecTag
{
    exchXMicIdT      exchXMicId;
    char             partSubGrpCod   [PART_SUB_GRP_COD_LEN];
    char             trdRskLimActFlg;
    char             calcMethod;
    char             warnLim         [VOL_LIM_LEN+1];
    char             haltLim         [VOL_LIM_LEN+1];
    char             currVol         [VOL_LIM_LEN+1];
} trlRecT, *pTrlRecT;


#endif  /* _TRL_REC_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _INQ_T_R_LIM_RESP_T_
#define _INQ_T_R_LIM_RESP_T_

typedef struct inqTRLimRespTag
{
    char             keyDatCtrlBlc   [KEY_DAT_CTRL_BLC_LEN];
    char             mliRecCtr       [MLI_REC_CTR_LEN];
    trlRecT          trlRec          [TRL_REC_MAX];
} inqTRLimRespT, *pInqTRLimRespT;


#endif  /* _INQ_T_R_LIM_RESP_T_ */


#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _INQTRLIMRESP_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file InqTRLimResp.hxx */
/*----------------------------------------------------------------------------*/
